Marketplace Agreements - Create
Create Confluent Marketplace agreement in the subscription.
PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Confluent/agreements/default?api-version=2024-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.accepted |
boolean |
If any version of the terms have been accepted, otherwise false. |
| properties.licenseTextLink |
string |
Link to HTML with Microsoft and Publisher terms. |
| properties.plan |
string |
Plan identifier string. |
| properties.privacyPolicyLink |
string |
Link to the privacy policy of the publisher. |
| properties.product |
string |
Product identifier string. |
| properties.publisher |
string |
Publisher identifier string. |
| properties.retrieveDatetime |
string (date-time) |
Date and time in UTC of when the terms were accepted. This is empty if Accepted is false. |
| properties.signature |
string |
Terms signature. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
MarketplaceAgreements_Create
Sample request
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Confluent/agreements/default?api-version=2024-07-01
Sample response
{
"name": "default",
"type": "Microsoft.Confluent/agreements",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Confluent/agreements/default",
"properties": {
"accepted": true,
"licenseTextLink": "test.licenseLink1",
"plan": "planid1",
"privacyPolicyLink": "test.privacyPolicyLink1",
"product": "offid1",
"publisher": "pubid1",
"retrieveDatetime": "2020-11-05T17:33:07.12132Z",
"signature": "YKWOQOKH2BCKZ46O7SCKHANWEENRFRU5WB4LXDFUYWCBWTS4AG4SGQXCOZYIR5ZJCZTXRMZKYZMO2BJSL5YKPLAR4LBFRUNS6CRYE7A"
},
"systemData": {
"createdAt": "2020-05-09T14:28:47.284Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2020-05-09T14:28:47.284Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
Definitions
| Name | Description |
|---|---|
|
Confluent |
Agreement Terms definition |
|
created |
The type of identity that created the resource. |
|
Error |
Response body of Error |
|
Resource |
Default error response for resource provider |
|
system |
Metadata pertaining to creation and last modification of the resource. |
ConfluentAgreementResource
Agreement Terms definition
| Name | Type | Description |
|---|---|---|
| id |
string |
The ARM id of the resource. |
| name |
string |
The name of the agreement. |
| properties.accepted |
boolean |
If any version of the terms have been accepted, otherwise false. |
| properties.licenseTextLink |
string |
Link to HTML with Microsoft and Publisher terms. |
| properties.plan |
string |
Plan identifier string. |
| properties.privacyPolicyLink |
string |
Link to the privacy policy of the publisher. |
| properties.product |
string |
Product identifier string. |
| properties.publisher |
string |
Publisher identifier string. |
| properties.retrieveDatetime |
string (date-time) |
Date and time in UTC of when the terms were accepted. This is empty if Accepted is false. |
| properties.signature |
string |
Terms signature. |
| systemData |
Metadata pertaining to creation and last modification of the resource |
|
| type |
string |
The type of the agreement. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponseBody
Response body of Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| details |
Error detail |
|
| message |
string |
Error message |
| target |
string |
Error target |
ResourceProviderDefaultErrorResponse
Default error response for resource provider
| Name | Type | Description |
|---|---|---|
| error |
Response body of Error |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |